Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/running/charts/pace-trend \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/running/charts/pace-trend', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/running/charts/pace-trend" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "window": 30, "data": [ { "date": "2026-03-01", "pace": "8:02/mi", "pace_min_per_mile": 8.03, "rolling_avg": "8:05/mi", "rolling_avg_min_per_mile": 8.08 }, { "date": "2026-03-03", "pace": "8:15/mi", "pace_min_per_mile": 8.25, "rolling_avg": "8:07/mi", "rolling_avg_min_per_mile": 8.12 } ] }
{ "error": "Not found", "status": 404 }
Returns pace over time with a rolling weighted average.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Pace trend data
Show child attributes